Package org.apache.ignite.internal.processors.cache.persistence.snapshot.dump

## Class WriteOnlyZipFileIO

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.AbstractFileIO
  - - org.apache.ignite.internal.processors.cache.persistence.file.FileIODecorator
    - - org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.BufferedFileIO
      - - org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.WriteOnlyZipFileIO

All Implemented Interfaces:
  `AutoCloseable`, `FileIO`

    public class WriteOnlyZipFileIO
    extends BufferedFileIO

`FileIO` that allows to write ZIP compressed file. It doesn't support reading or random access. It is not designed for writing concurrently from several threads.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.file.FileIODecorator

`delegate`

### Constructor Summary

Constructors
`WriteOnlyZipFileIO​(FileIO fileIO, String entryName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes current file.
`protected void` `writeBytes​(byte[] srcBuf, int off, int len)` Writes byte array.

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.BufferedFileIO

`writeByte, writeFully`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.file.FileIODecorator

`clear, force, force, getFileSystemBlockSize, getSparseSize, map, position, position, punchHole, read, read, read, size, transferFrom, transferTo, write, write, write`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.file.AbstractFileIO

`readFully, readFully, readFully, writeFully, writeFully`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriteOnlyZipFileIO

    public WriteOnlyZipFileIO​(FileIO fileIO,
                              String entryName)
                       throws IOException

Throws:
  `IOException`

### Method Detail

#### writeBytes

    protected void writeBytes​(byte[] srcBuf,
                              int off,
                              int len)
                       throws IOException

Writes byte array.

Overrides:
  `writeBytes` in class `BufferedFileIO`
Throws:
  `IOException` - If some I/O error occurs.

#### close

    public void close()
               throws IOException

Closes current file.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `FileIO`
Overrides:
  `close` in class `BufferedFileIO`
Throws:
  `IOException` - If some I/O error occurs.